Bug 2270883 (CVE-2023-52620) - CVE-2023-52620 kernel: netfilter: nf_tables: disallow timeout for anonymous sets
Summary: CVE-2023-52620 kernel: netfilter: nf_tables: disallow timeout for anonymous sets
Keywords:
Status: NEW
Alias: CVE-2023-52620
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2270884
TreeView+ depends on / blocked
 
Reported: 2024-03-21 22:23 UTC by Marco Benatto
Modified: 2024-06-21 11:12 UTC (History)
50 users (show)

Fixed In Version: kernel 5.15.151, kernel 6.1.81, kernel 6.4
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in netfilter/nf_tables componets of Linux Kernel allows an userspace to set timeouts for anonymous sets, which are not intended to be used this way. This could lead to unexpected behaviour or security issues.
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2024:2634 0 None None None 2024-05-01 01:22:54 UTC
Red Hat Product Errata RHBA-2024:2650 0 None None None 2024-05-02 00:15:42 UTC
Red Hat Product Errata RHBA-2024:2686 0 None None None 2024-05-02 22:49:28 UTC
Red Hat Product Errata RHSA-2024:2394 0 None None None 2024-04-30 10:16:52 UTC
Red Hat Product Errata RHSA-2024:2950 0 None None None 2024-05-22 09:14:00 UTC
Red Hat Product Errata RHSA-2024:3138 0 None None None 2024-05-22 09:53:18 UTC

Description Marco Benatto 2024-03-21 22:23:15 UTC
In the Linux kernel, the following vulnerability has been resolved:

netfilter: nf_tables: disallow timeout for anonymous sets

The Linux kernel CVE team has assigned CVE-2023-52620 to this issue.

Upstream advisory:
https://lore.kernel.org/linux-cve-announce/2024032147-CVE-2023-52620-11a9@gregkh/T

Comment 6 errata-xmlrpc 2024-04-30 10:16:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:2394 https://access.redhat.com/errata/RHSA-2024:2394

Comment 7 errata-xmlrpc 2024-05-22 09:13:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:2950 https://access.redhat.com/errata/RHSA-2024:2950

Comment 8 errata-xmlrpc 2024-05-22 09:53:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:3138 https://access.redhat.com/errata/RHSA-2024:3138

Comment 9 Alex 2024-06-09 15:11:42 UTC
The result of automatic check (that is developed by Alexander Larkin) for this CVE-2023-52620 is: CHECK	Maybe valid. Check manually. with impact MODERATE (that is approximation based on flags REMOTE SIMPLEFIX NETFILTER  ; these flags parsed automatically based on patche data). Such automatic check happens only for Low/Moderates (and only when not from reporter, but parsing already existing CVE). Highs always checked manually (I check it myself and then we check it again in Remediation team). In rare cases some of the Moderates could be increased to High later.


Note You need to log in before you can comment on or make changes to this bug.